:root {
    --whitetone: #f8f5f1;
    --steel: #6b7a7f;
    --terracotta: #c06a50;
    --sage: #9a8b6f;
    --blacktone: #2c3a40;
    --border: #e8e5e1;

}

main {
    max-width: 1200px;
    margin: 0 auto;
    padding: 2rem 1.2rem 3rem;

}

.vendor-details {
    background: var(--whitetone);
    border: 1 px solid var(--border);
    display: grid;
    grid-template-columns: 1fr 1fr ;
    gap: 2rem;
    margin-bottom: 2.5rem;
    border-radius: 0.8rem;
    padding: 2rem 1.8rem;
    align-items: flex-start;
}


.vendor-details img {
    width: 250px;
    height: 250px;
    object-fit: cover;
    border-radius: 0.5rem;

}

.info h1 {
    color: var(--blacktone);
    margin-bottom: 0.5rem;
    font-size: 2rem;
}

.info {
    display: flex;
    flex-direction: column;
    gap: 0.4rem;

}
.info p {
    font-size: 1.2rem;
    color: var(--sage);
    margin: 0.2rem 0;
}

.vendor-bio {
    color: var(--blacktone);
    border-top: 1px solid var(--border);
    margin-top: 0.8rem;
    padding-top: 0.8rem;
    line-height: 1.5;
}
.product-list {
    margin-top: 1rem;

}

.product-list h2 {
    color: var(--blacktone);
    font-size: 1.6rem;
    margin-bottom: 1.5rem;
}

.product-outputs {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 1.8rem;
    margin: 0 auto 3rem;
}


.output {
    display: flex;
    flex-direction: column;
    overflow: hidden;
    background: var(--whitetone);
    border: 1px solid var(--border);
    border-radius: 0.5rem;
}

.output:hover {
    border-color: var(--sage);
    box-shadow: 0 1rem 1rem rgba(157, 141, 110, 0.1);
}

.output a{
    display: flex;
    flex-direction: column;
    height: 100%;
    color: var(--blacktone);
    text-decoration: none;
}

.output img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    display: block;
}

.output h3 {
    color: var(--blacktone);
    padding: 1.2rem 1.2rem 0.5rem;
    font-size: 1.2rem;
    font-weight: 600;

}

.output:hover h3 {
    color: var(--terracotta);
}

.output h3 a {
    color: inherit;
    text-decoration: none;

}

.output h3 a:hover {
    text-decoration: underline;
}

.output p {
    color: var(--steel);
    padding: 0 1.3rem;
    font-size: 0.9rem;
    line-height: 1.5;
}

@media (max-width: 565px) {
    .vendor-details {
        grid-template-columns: 1fr;
        padding: 1.5rem 1.2rem;
    }
}